/*
 * (C) 2006 by Frank Zirkelbach <hackbard@hackdaworld.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 
 *  as published by the Free Software Foundation
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _GEMTAG_H
#define _GEMTAG_H

#define USB_VENDOR_GEMTAG	0x1394
#define USB_DEVICE_X501		0x0501

struct gemtag_handle {
	struct usb_dev_handle *handle;
	unsigned char seq;
	unsigned char capabilities;
	unsigned char snr[4];
};

#define GEMTAG_CAP_CRC 0x01

struct gemtag_cmd_hdr {
	unsigned char start;
	unsigned char seq;
	unsigned char cmd;
	u_int16_t len;
} __attribute__ ((packed));

#define GEMTAG_CMD_GET_FW_VERSION	0x63
#define GEMTAG_CMD_GET_SERIAL_NUMBER	0x22
#define GEMTAG_CMD_GET_RIC_VERSION	0x64
#define GEMTAG_CMD_PCD_SET_TMO		0x27
#define GEMTAG_CMD_SET_CPU_TIMEOUT	0x88
#define GEMTAG_CMD_TEST			0xfe

#define BAD_CRC				0x01
#define SEQ_MISMATCH			0x02

#endif
